driver.c File Reference

### (0851399 2016-05-03 10:48:56 +0200)

Implements driver.h. More...

`#include <stdio.h>`
`#include "driver.h"`
`#include "config.h"`
`#include "lirc_log.h"`

Go to the source code of this file.

## Functions

void | glob_t_init (glob_t *glob)
void | glob_t_add_path (glob_t *glob, const char *path)
void | glob_t_free (glob_t *glob)
int | default_open (const char *path)
int | default_close (void)
int | default_drvctl (unsigned int fd, void *arg)
int | drv_handle_options (const char *options)

## Variables

struct driver | drv
const char *const | OPTION_FMT = "%32s%64s"
const struct driver *const | curr_driver = &drv
const int | GLOB_CHUNK_SIZE = 32

## Detailed Description

Implements driver.h.

Author
  Alec Leamas

Date
  August 2014 GPL2 or later Access and support for driver.h, the global driver.

Definition in file driver.c.

## Variable Documentation

## curr_driver

const struct driver* const curr_driver = &drv

Read-only access to drv for client code.

Definition at line 28 of file driver.c.

## drv

struct driver drv

The global driver data that drivers etc are accessing. Set by hw_choose_driver().

Definition at line 22 of file driver.c.

## GLOB_CHUNK_SIZE

const int GLOB_CHUNK_SIZE = 32

Allocation chunk in glob_t_* routines.

Definition at line 31 of file driver.c.

## OPTION_FMT

const char* const OPTION_FMT = "%32s%64s"

sscanf format to parse option_t.

Definition at line 25 of file driver.c.